package com.crm.rely.backend.core.dto.ib.trade;

import lombok.Data;

@Data
public class TradeSalesPerformanceDto {
    private Long cId;

    private String ibNo;

    private String salesName;

    private String leaderName;

    /**
     * 入金金额
     */
    private Float depositAmount;

    /**
     * 出金金额
     */
    private Float withdrawAmount;

    /**
     * 净入金金额
     */
    private Float worthDepositAmount;

    /**
     * 新增客户
     */
    private Integer customNum;

    private Integer addCustomNum;

    private Float monthDepositAmount;

    private Float monthdWorthDepositAmount;

    private Float curMonthDepositAmount;

    private Float curMonthdWithdrawAmount;

    private Float curMonthdWorthDepositAmount;

    private Integer curAddCustomNum;

    private String entryDate;

    private String resignDate;

    public static TradeSalesPerformanceDto getInstance(){
        TradeSalesPerformanceDto dto = new TradeSalesPerformanceDto();
        dto.setDepositAmount(0f);
        dto.setWithdrawAmount(0F);
        dto.setWorthDepositAmount(0f);
        dto.setCustomNum(0);
        dto.setAddCustomNum(0);
        dto.setMonthDepositAmount(0f);
        dto.setMonthdWorthDepositAmount(0f);

        return dto;
    }

}
